About this Help file

This Help file contains topics integrated into the main Windows Media Player Help and is not meant for browsing. For overviews of features and help with specific tasks, use Help from within Windows Media Player.

© 2000 Microsoft Corporation. All rights reserved.


No more information is available

There is no more information available for this error at this time. Check Web Help (English version), which may have more updated information on this error.

Web Help


Using Windows Media Player and Windows Media Services on the same computer

Error ID = 0x8007001F, Remedy ID = 0x00000000

This error happens if you use Microsoft Windows Media Services and Windows Media Player on the same computer and attempt to view a file in Windows Media Player that is streamed by the same server.

Windows Media Player must be installed on a different computer than Windows Media Services.


The appropriate codec is not installed on your computer

Error ID = 0x80040200, Remedy ID = 0x00000000

To play most streaming media, you must decompress the compressed data before playing it. The file that decompresses the information is known as a codec. If the codec is not available on your computer, Windows Media Player attempts to download and install it.

This error indicates that the required codec was not downloaded. This could be because you do not have the appropriate browser or your browser’s Internet security settings are too high and will not allow you to download the codec. Make sure that you have at least Internet Explorer version 4.0 or later installed on your computer.

To install the latest version of Internet Explorer on your computer, visit the Internet Explorer download page on the Microsoft Web site. If you are able to upgrade your browser, try playing the file or stream again, this should force your computer to download the appropriate codec and you should be able to view or hear the streaming media.

Note Internet Explorer does not have to be set as your default browser to download the codec or for the Windows Media Player to function properly.


Internet security option is set on High

Error ID = 0x80040200, Remedy ID = 0x00000001

To play most streaming media, you must decompress the compressed data before playing it. The file that decompresses the information is known as a codec. If the required codec is not available on your computer, Windows Media Player attempts to download and install it.

This error indicates that the codec did not download because your Internet security option is set on High. Although a High setting for Internet security is the safest way to browse, it is also the least functional. This level of security blocks the codec from downloading.

To lower your Internet security level to Medium, follow these steps:

  1. Click Start, point to Settings, and then click Control Panel.

  2. Double-click Internet Options. Then, on the Security tab, click Internet.

  3. Under Security Level For This Zone, move the slider to Medium, click OK, and then restart your computer and try to play the file again.


Restart your computer to install the codec

Error ID = 0x80040200, Remedy ID = 0x00000002

To play most streaming media, you must decompress the compressed data before playing it. The file that decompresses the information is known as a codec. You must have a codec installed on your computer before some media files can play. If a required codec is not available on your computer, Windows Media Player attempts to download and install it.

This error indicates that the codec downloaded but then failed to install automatically. You may need to restart your computer to install the codec. Typically, you are prompted to restart your computer, but the prompt may have failed. Restart your computer and try to play the file again.


Windows Media Player does not support this file type

Error ID = 0x80040200, Remedy ID = 0x00000003

The following table lists the file formats supported by Windows Media Player.

Format | File name extensions
CD Audio Track | .cda
Intel Video Technology | .ivf
Macintosh AIFF Resource | .aif, .aifc, .aiff
Microsoft | .asf, .asx, .avi, .wav, .wax, .wma, .wmv, .wvx, .wmp, .wmx
Windows Media Player skin file | .wmz, .wms
Playlist files | .asx, .wax, .wvx, .wmx, .m3u
Moving Picture Experts Group (MPEG) | .mpeg, .mpg, .m1v, .mp2, .mp3, .mpa, .mpe, .mpv2, .m3u
Musical Instrument Digital Interface (MIDI) | .mid, .midi, .rmi
UNIX | .au, .snd

If the file you are playing is included in this table, then it may have been encoded using a codec that is not supported by Windows Media Player.


Your network may not be set up to handle a live broadcast connection known as multicast

Error ID = 0xC00D07F2, Remedy ID = 0x00000000

When Windows Media Player tries to connect to a live broadcast and does not receive a response within 20 seconds, it cancels the connection attempt. This usually indicates that either:

  • Your network is not configured to handle a multicast connection.

    -or-

  • The live broadcast you were attempting to connect to has ended.

Dial-up connections in particular often do not support this type of broadcast.


The path to the file is not valid

Error ID = 0x80070035, Remedy ID = 0x00000000

Windows Media Player cannot find the path to the file. Probable causes for this error include: the server name, shared directory name, or file name has been misspelled or has changed.

Check the file name and path for errors. If this error persists, contact your network administrator for the correct location of the file you want to play.


The path to the file is not valid

Error ID = 0x800700A1, Remedy ID = 0x00000000

Windows Media Player cannot find the path to the file. Probable causes for this error include: the server name, shared directory name, or file name has been misspelled or has changed.

Check the file name and path for errors. If this error persists, contact your network administrator for the correct location of the file you want to play.


The path to the file is not valid

Error ID = 0x80070043, Remedy ID = 0x00000000

Windows Media Player cannot find the path to the file. Probable causes for this error include: the server name, shared directory name, or file name has been misspelled or has changed.

Check the file name and path for errors. If this error persists, contact your network administrator for the correct location of the file you want to play.


The path to the file is not valid

Error ID = 0x80070002, Remedy ID = 0x00000000

Windows Media Player cannot find the path to the file. Probable causes for this error include: the server name, shared directory name, or file name has been misspelled or has changed.

Check the file name and path for errors. If this error persists, contact your network administrator for the correct location of the file you want to play.


Windows Media Player does not support the specified protocol

Error ID = 0x800C000D, Remedy ID = 0x00000000

Windows Media Player was not designed to support the protocol you are using to access the file.

If you clicked a link on a Web page and received this error, ask the content provider for an updated link.

If you entered an Internet address and received this error, make sure you are using a protocol supported by Windows Media Player and try again. Windows Media Player supports the following protocols: HTTP, MMS, MMSU, MMST, and MSBD.

Note The supported protocols can be used to stream media. You cannot use Windows Media Player as a browser. For example, do not use the HTTP protocol to search for a Web page on the Internet. That is, do not type an Internet address that ends with an .htm file extension.


The computer is no longer connected to the network or Internet

Error ID = 0xC00D0029, Remedy ID = 0x00000000

Your computer is no longer connected to the network or the Internet. Reestablish a network connection, and then try to play the file again. Probable causes for this error include: your network cable is not plugged in properly or it is damaged (if connected to a network) or the computer has lost the telephone connection (dial-up networking) to the Internet.


Cannot find the proxy server

Error ID = 0xC00D0029, Remedy ID = 0x00000000

This error indicates that Windows Media Player cannot find your network’s proxy server. Most likely the name of the proxy server is incorrect. To change the name of your proxy server, follow these steps:

  1. From the Tools menu, select Options, and then click Network.

  2. Click Use Proxy, and then click Change.

  3. Enter the correct IP address in Host Name. If you do not know the name or IP address of your proxy server, contact your network administrator.

Note If you are connected to the Internet via a dial-up connection, then you may not be able choose the proxy server. Please consult with your service provider or administrator.


Cannot find the proxy server

Error ID = 0xC00D0035, Remedy ID = 0x00000000

This error indicates that Windows Media Player cannot find your network’s proxy server. Most likely the name of the proxy server is incorrect. To change the name of your proxy server, follow these steps:

  1. From the Tools menu, select Options, and then click Network.

  2. In the Proxy Settings area, double-click the protocol you want to configure.

  3. In Options, select Use the following proxy server and type the name of the proxy server and the port to use. Contact your network administrator for the correct proxy name and port.

Note If you are connected to the Internet via a dial-up connection, then you may not be able choose the proxy server. Please consult with your service provider or administrator.


The server has no more connections available

Error ID = 0xC00D000F, Remedy ID = 0x00000000

The file you want to play is on a computer that will not allow any more connections. Try to play the file at another time.


There was no timely response from the server

Error ID = 0xC00D0013, Remedy ID = 0x00000000

The file you want to play is on a server that did not respond in a timely manner. Windows Media Player attempted to make contact with the server that holds the file you wanted to play. For a number of reasons, including Internet traffic, a lost modem connection to your service provider, that server did not respond during the time that Windows Media Player waits for a response. So Windows Media Player gave up waiting for the server to respond and stopped trying to play that file. Try to play the file at another time.


There is no sound card

Error ID = 0x00040258, Remedy ID = 0x00000000

This error indicates that you either do not have a sound card or it is functioning incorrectly. If you do not have a sound card, you must install one to hear audio in this file. If you do have a sound card, refer to its documentation to troubleshoot the problem.


Another program is using your sound card

Error ID = 0x00040258, Remedy ID = 0x00000001

This error indicates that your sound card is in use by another program. Close programs that are using your sound card, and try to play the file again.


There is no sound card

Error ID = 0x80040256, Remedy ID = 0x00000000

This error indicates that you either do not have a sound card or it is functioning incorrectly. If you do not have a sound card, you must install one to play this file. If you do have a sound card, refer to its documentation to troubleshoot the problem.


Another program is using your sound card

Error ID = 0x80040256, Remedy ID = 0x00000001

This error indicates that your sound card is in use by another program. Close programs that are using your sound card, and try to play the file again.


Windows Media Player does not support this file type

Error ID = 0x80040218, Remedy ID = 0x00000000

The following table lists the file formats supported by Windows Media Player.

Format | File name extensions
CD Audio Track | .cda
Intel Video Technology | .ivf
Macintosh AIFF Resource | .aif, .aifc, .aiff
Microsoft | .asf, .asx, .avi, .wav, .wax, .wma, .wmv, .wvx, .wmp, .wmx
Playlist files | .asx, .wax, .wvx, .wmx, .m3u
Windows Media Player skin file | .wmz, .wms
Moving Picture Experts Group (MPEG) | .mpeg, .mpg, .m1v, .mp2, .mp3, .mpa, .mpe, .mpv2, .m3u,
Musical Instrument Digital Interface (MIDI) | .mid, .midi, .rmi
UNIX | .au, .snd

If the file you are playing is included in this table, then it may have been encoded using a codec that is not supported by Windows Media Player.


Windows Media Player does not support this file type

Error ID = 0x80040241, Remedy ID = 0x00000000

The following table lists the file formats supported by Windows Media Player.

Format | File name extensions
CD Audio Track | .cda
Intel Video Technology | .ivf
Macintosh AIFF Resource | .aif, .aifc, .aiff
Microsoft | .asf, .asx, .avi, .wav, .wax, .wma, .wmv, .wvx, .wmp, .wmx
Windows Media Player skin file | .wmz, .wms
Playlist files | .asx, .wax, .wvx, .wmx, .m3u
Moving Picture Experts Group (MPEG) | .mpeg, .mpg, .m1v, .mp2, .mp3, .mpa, .mpe, .mpv2, .m3u
Musical Instrument Digital Interface (MIDI) | .mid, .midi, .rmi
UNIX | .au, .snd

If the file you are playing is included in this table, then it may have been encoded using a codec that is not supported by Windows Media Player.


Windows Media Player does not support this file type

Error ID = 0x8004022F, Remedy ID = 0x00000000

The following table lists the file formats supported by Windows Media Player.

Format | File name extensions
CD Audio Track | .cda
Intel Video Technology | .ivf
Macintosh AIFF Resource | .aif, .aifc, .aiff
Microsoft | .asf, .asx, .avi, .wav, .wax, .wma, .wmv, .wvx, .wmp. .wmx
Windows Media Player skin file | .wmz, .wms
Playlist files | .asx, .wax, .wvx, .wmx, .m3u
Moving Picture Experts Group (MPEG) | .mpeg, .mpg, .m1v, .mp2, .mp3, .mpa, .mpe, .mpv2, .m3u
Musical Instrument Digital Interface (MIDI) | .mid, .midi, .rmi
UNIX | .au, .snd

If the file you are playing is included in this table, then it may have been encoded using a codec that is not supported by Windows Media Player.


Windows Media Player does not support this file type

Error ID = 0x80040255, Remedy ID = 0x00000000

The following table lists the file formats supported by Windows Media Player.

Format | File name extensions
CD Audio Track | .cda
Intel Video Technology | .ivf
Macintosh AIFF Resource | .aif, .aifc, .aiff
Microsoft | .asf, .asx, .avi, .wav, .wax, .wma, .wmv, .wvx, .wmp, .wmx
Windows Media Player skin file | .wmz, .wms
Playlist files | .asx, .wax, .wvx, .wmx, .m3u
Moving Picture Experts Group (MPEG) | .mpeg, .mpg, .m1v, .mp2, .mp3, .mpa, .mpe, .mpv2, .m3u
Musical Instrument Digital Interface (MIDI) | .mid, .midi, .rmi
UNIX | .au, .snd

If the file you are playing is included in this table, then it may have been encoded using a codec that is not supported by Windows Media Player.


Windows Media Player does not support this file type

Error ID = 0x80040265, Remedy ID = 0x00000000

The following table lists the file formats supported by Windows Media Player.

Format | File name extensions
CD Audio Track | .cda
Intel Video Technology | .ivf
Macintosh AIFF Resource | .aif, .aifc, .aiff
Microsoft | .asf, .asx, .avi, .wav, .wax, .wma, .wmv, .wvx, .wmp, .wmx
Windows Media Player skin file | .wmz, .wms
Playlist files | .asx, .wax, .wvx, .wmx, .m3u
Moving Picture Experts Group (MPEG) | .mpeg, .mpg, .m1v, .mp2, .mp3, .mpa, .mpe, .mpv2, .m3u
Musical Instrument Digital Interface (MIDI) | .mid, .midi, .rmi
UNIX | .au, .snd

If the file you are playing is included in this table, then it may have been encoded using a codec that is not supported by Windows Media Player.


You do not have permission to play this file

Error ID = 0x80070005, Remedy ID = 0x00000000

This file contains protected multimedia content. You need to have permission to play this file. Please consult the system administrator or multimedia content provider to get permission to play this file and enter your password correctly when prompted.


The path to the file is not valid

Error ID = 0x800C0005, Remedy ID = 0x00000000

Windows Media Player cannot find the path to the file. Probable causes for this error include: the server name, shared directory name, or file name has been misspelled or has changed.

Check the file name and path for errors. If this error persists, contact the file provider for the correct location of the file you want to play.


The file you are trying to play could not be found

Error ID = 0x800C0006, Remedy ID = 0x00000000

Windows Media Player could not find the file you are trying to play. Either the file name was misspelled or has been moved.

Check the file name and path for errors. If this error persists, contact the file provider for the correct location of the file you want to play.


The server is busy at this time

Error ID = 0xC00D0006, Remedy ID = 0x00000000

The computer that you are trying to access this file from is too busy to handle your request at this time. This can happen if the computer is not powerful enough to handle a large number of connections at a given time.

Try to play the file at another time when there isn’t as much demand on the computer to provide files.


Incomplete path to the file entered

Error ID = 0xC00D001F, Remedy ID = 0x00000000

The path of the file you are trying to play was provided insufficiently. Please check for omissions of server name, shared directory name, and file name.

Check the file name and path for errors and try to play this file again.


Your network may not be set up to handle a live broadcast connection known as multicast

Error ID = 0xC00D07F1, Remedy ID = 0x00000000

You were attempting to connect to a live broadcast, but your network is not configured for it.

Contact your network administrator to configure your network for live broadcasts.

Note Dial-up connections in particular do not offer this type of broadcasts.


Incomplete path to the file entered

Error ID = 0xC00D001A, Remedy ID = 0x00000000

The path of the file you are trying to play was provided insufficiently. Please check for omissions of server name, shared directory name, and file name.

Check the file name and path for errors and try to play this file again.


Your media drivers are not capable of playing the media

Error ID = 0xC00D274D, Remedy ID = 0x00000000

Your drivers are out of date and are not capable of playing the file or stream. To update your drivers, go to the Windows Update web page. The Windows Update page will scan your computer and detect which drivers can be updated. After downloading the updates, try to play the file or stream again. If there are no updated drivers available, then you cannot play the media.


Windows Media Player cannot find a license for this file

Error ID = 0x80041002, Remedy ID = 0x00000000

To play this file you must have a license and Windows Media Player cannot find the license for this file. The cause may be because the license was deleted or has become corrupt. If you have saved back up copies of your licenses, restore them now. If you have not saved back up copies of your licenses, then you need to get a new license. If the license is for a CD track that you copied, record the CD track again. If the license is for a file that you purchased from the Internet, return to the Web site where you purchased it and obtain a new copy of the license.


You cannot play this file on this computer

Error ID = C00D274B, Remedy ID = 0x00000000

The file you are trying to play is secured with a digital license. The license that unlocks this file and enables you to play it resides on the computer where the CD track was recorded.

If you are attempting to play the file on the computer where the CD track was originally recorded, the license is either missing or corrupt and you must re-record the file from the original CD and try to play the file again.


Your CD ROM delivers information at a rate too slow to use digital playback or copying

Error ID = C00D0FA4, Remedy ID = 0x00000000

Older CD ROMs often deliver information at a rate too slow to use digital playback or digital copying. This is typical of CD ROMs that are slower than 1x speed. You should switch playback and copying to analog. Windows Media Player is configured by default to use digital playback and copying. To enable analog playback and copying, clear the Digital playback and Digital copying checkboxes on the CD Audio properties page.


Legal Notice

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the example companies, organizations, products, people and events depicted herein are fictitious and no association with any real company, organization, product, person or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2000 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, Windows, Windows Media, Windows NT, ActiveSync, ActiveX, DirectDraw, DirectShow, FrontPage, JScript, Microsoft Press, NetShow, Outlook, PowerPoint, SQL Server, Visual Basic, Visual C++, Visual InterDev, Visual J++, Visual Studio, Win32, and Win32s are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.


Glossary

To find a term in the glossary, click the letter of the alphabet that is the first letter in the term you want to look up.

A | B | C | D | E | F | G | H | I | J | K | L | M
N | O | P | Q | R | S | T | U | V | W | X | Y | Z

A

accelerator keys

A key or combination of keys that when pressed will quickly perform an action within an application that would normally require several user actions, such as menu selections.

analog

The traditional format in which audio and video is transmitted using a wave or analog signal.

anchor window

A small window that is displayed in the lower-right corner of the screen when the player is in compact mode. Right-click the anchor window to return to full-screen mode. See also compact mode.

B

band

The transmission method used by the radio station (AM, FM, or Internet). Internet radio stations usually play a preset, taped list of songs and commercials.

bandwidth

The data transfer capacity of a digital communications system, such as the Internet or a local area network (LAN). Bandwidth is usually expressed in the number of bits that a system is capable of transferring in a second: bits per second (bps). High bandwidth or broadband refers to a network capable of a fast data transfer rate.

bit rate

The speed at which digital audio and video content streams from a source, such as a file, to be rendered properly by a player, or the speed at which binary content in general is streamed on a network. Bit rate is usually measured in kilobits per second (Kbps), for example, 28.8 Kbps. The bit rate of a Windows Media file or live stream is determined during the encoding process, when the streaming content is created. Bandwidth is the total bit-rate capacity of a network. For audio and video content to render properly when streaming over a network, the bandwidth of the network must be high enough to accommodate the bit rates of all the different content that is being streamed concurrently.

broadband

A high-speed transmission. The term is commonly used to refer to communications lines or services at T1 rates (1.544 Mbps) or cable modem rates and above.

buffer

A small amount of RAM that Windows Media Player uses as a loading area for information before playing it. When you play a file or stream, Windows Media Player fills up the buffer before it begins playing so that you won't notice minor problems with traffic on the Internet or the local network.

C

call sign

The identifying code letters or numbers of a radio or television transmitting station, assigned by a regulatory body.

captions

Text that describes the audio or video you are playing, similar to closed-captioning.

central processing unit (CPU)

The computational and control unit of a computer. The central processing unit is the device that interprets and executes instructions.

codec

Short for compressor/decompressor. Codecs are various types of computer algorithms that are applied to audio, video, and image files to compress the size of the files. The benefit of this is the files do not use as much disk space when stored or as much network bandwidth when streamed. To open a compressed file, the same codec must be used to decompress the file. If your computer does not have the correct codec to decompress a file, Windows Media Player will attempt to download the codec for you.

compact disc (CD)

An optical storage medium for digital data, usually audio. A compact disc is a nonmagnetic, polished metal disc with a protective plastic coating that can hold up to 74 minutes of high-fidelity recorded sound.

compact mode

A reduced operational state of the player (both in size and function), allowing more room on your screen for other applications. You can customize this player mode by applying a different skin. To make sure you are in compact mode, press CTRL+2.

compression

The coding of data to reduce file size or the bit rate of a stream. Content that has been compressed is decompressed for playback.

compression quality

Determines the quality of the digital audio as the data is copied to your computer or portable device, or the quality of music as it is streamed to the media player. The better the compression quality used, the more disk space a copied file uses.

connection speed

The speed at which your computer connects to the Internet or a network.

D

digital copying

A method of copying media items using a digital format.

digital playback

The process of playing a media item using a digital format. Computers use digital formats, so data must be converted to digital formats and then encoded to be played. Data that is digital has been converted to ones and zeros.

download

A method of delivering content over a network in which media is copied to a client computer and then played locally. This method is differentiated from streaming because the source media is copied from the server to the client computer. See also streaming

E

encode

The process of compressing and separating a file into packets of information for delivery over a network. Windows Media Player can play a file that has been encoded into a Windows Media file (the file created when you copy a CD track) or stream (what your computer receives when you listen to a live radio station delivered over the Internet).

encrypt

The process of packaging media items with a key. Once a media item has been encoded, it cannot be played without the key.

error correction

A method of controlling and correcting data transmission errors that occur when streaming.

F

file extension

A set of characters added to a file name that serves to extend or clarify its meaning or to identify a file as a member of a category. An extension may be assigned by the user or by a program, as, for example, .avi or .txt. Also known as file name extension.

file format

See file extension; media formats.

file type

See file extension.

firewall

A security system intended to protect an organization’s network from external threats, such as hackers, coming from another network, such as the Internet.

format

The type of music (genre), such as rock, or classical, played by a radio station.

frequency

The number, such as 88.5 or 101.7, that is used to tune into a radio station.

full mode

The operational state of the player that displays a complete set of toolbars. To make sure you are in full mode, press CTRL+1.

G

genre

The category that best describes the type of music, such as classical or jazz.

H

HTTP

The Internet protocol that delivers information over the World Wide Web. HTTP is the acronym for hypertext transfer protocol.

I

intelligent stream

A type of streaming that detects network conditions and adjusts the properties of a video or audio stream to maximize quality. See also streaming.

L

licensed files

Windows Media files that have an associated license restricting the copying of that file. The restrictions stated in the license will vary depending on the license creator. Any file created by copying a CD track using Windows Media Player is assigned a license that restricts the playing of that file to the computer where the file was created.

M

media formats

The types of media files that can be played using Windows Media Player. Supported media formats include the following: .aif, .aifc, .aiff, .asf, .asx, au, .avi, .cda, .ivf, .m1v, .m3u, .mid, .midi, mp2, .mp3, .mpa, .mpe, .mpeg, .mpg, .mpv2, .rmi, .snd, .wax, .wav, .wma, .wms, wmv, .wvx, .wmz. See also Windows Media Format.

media information

Information, such as the album cover, label, artist name, and length, gathered from the Internet about a CD. An Internet connection is required to access this information.

Moving Picture Experts Group (MPEG)

A set of standards for audio and video compression established by the Joint ISO/IEC Technical Committee on Information Technology. The MPEG standard has different types that have been designed to work in different situations.

MP3 (MPEG Audio Layer 3)

A computer file format that compresses audio files far smaller than previously required for CD-quality recordings. A minute of music, or several minutes of spoken words, encoded in MP3 require only about one megabyte of disc space, about one-tenth of what the older .wav format required. MP3 has made quick transfer of CD-quality music over the Internet practical.

multicast

A one-to-many client/server connection in which multiple clients receive the same stream from a server. To receive a multicast, a client listens to a specific IP address on a multicast-enabled network, like tuning a television to a specific channel. In contrast, a unicast is a one-to-one connection in which each client receives a separate stream from a server.

multiple bit rates

A term used to identify streams that can be delivered at several speeds. Typically a stream has only one speed or bit rate. However, some streams are created so that if network traffic hinders the delivery of the stream, the stream will switch to a lower bit rate in an attempt to make the flow of information consistent. If the flow of information slows down, you’ll notice breaks in the audio and/or video or the stream will stop.

musical instrument digital interface (MIDI)

An agreed-upon structure for representing musical sounds, such as from a synthesizer, in a form that a computer can interpret.

P

personal rights management

The technology for securing content and managing the rights for its access. Also known as digital rights management.

playlist

A personalized list of links to various media files on your computer, your network, or the Internet, including radio stations and broadband broadcasts. You can create a playlist from any combination of media items. The items in the list are played sequentially.

port

A number that enables the sending of IP packets to a particular process on a computer connected to a network. Ports are most often identified with a particular service. For example, port 80 on an Internet computer indicates a Web server.

portable device

A computing device or storage card that is not a desktop computer. Portable devices can be computing devices, such as palm-size PCs and pocket PCs, or can be storage cards, such as CompactFlash cards or micro drives. Computing devices typically connect to a computer via a COM port. Storage cards typically are used in the computing devices as additional storage.

protocol

A set of rules or standards that allow computers to communicate. Internet protocols used to receive streaming media are UDP, TCP, HTTP.

proxy server

A firewall component that manages Internet traffic to and from your network.

S

shortcut keys

A key or combination of keys that when pressed will quickly perform an action within an application that would normally require several user actions, such as menu selections.

skin

A file that customizes the look and functionality of Windows Media Player. The player will work as the skin directs when the player is in compact mode.

streaming

A method of delivering content, in which media content is located on a server and then played by sending the data across a network in a continuous flow. Streaming data enables the player to begin rendering the data immediately instead of waiting for the entire file to be downloaded.

T

tracks

The individual songs from a CD.

Transmission Control Protocol (TCP)

The protocol within TCP/IP that governs the breakup of data messages into packets to be sent via IP, and the reassembly and verification of the complete messages from packets received by IP.

U

User Datagram Protocol (UDP)

The connectionless protocol within TCP/IP that corresponds to the transport layer in the ISO/OSI model. UDP converts data messages generated by an application into packets to be sent via IP but does not verify that messages have been delivered correctly.

V

visualization

Splashes of color and geometric shapes that change with the beat of the audio that is currently playing.

visualization collection

A group of visualizations focused on specific themes.

W

Windows Media file

A file, typically with an .asf or .wma extension, which contains audio, video, or script data. These files are highly optimized for streaming, yet they provide dynamic sound when downloaded and played by Windows Media Player.

Windows Media Format

The format used by Microsoft Windows Media Technologies (or a third party product that incorporates a licensed Windows Media technology) to author, store, edit, distribute, stream, or play timeline-based content.


Windows Media Player glossary

This glossary defines terms used in Windows Media Player. In addition to Windows Media Player terms, Microsoft Windows Media Technologies and other common industry terms are also defined.

To find a term in the glossary, click the letter of the alphabet that is the first letter in the term you want to look up.

You can also read glossary terms within the text of Help by clicking the underlined glossary term links. After you click a glossary link, the glossary term and definition appear in a pop-up window. To close the window, click anywhere on the screen.

A | B | C | D | E | F | G | H | I | J | K | L | M
N | O | P | Q | R | S | T | U | V | W | X | Y | Z